> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.shipbob.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server. # Search channels POST https://api.shipbob.com/Experimental/channel:search Content-Type: application/json Search channels based on filters Reference: https://developer.shipbob.com/experimental/api/channels/search-channels ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Servers - `https://api.shipbob.com` (https://api.shipbob.com, default) - `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com) ## Request ### Body (application/json) This endpoint expects a Channels.v2.ChannelsV2SearchRequest. - `cursor` (string, optional, nullable) — Next/Previous Cursor - `records_per_page` (integer, optional) — Records Per Page - `search_filters` (Channels.v2.SearchFilters, optional) — Search filters ## Response ### 200 Success - `items` (list of Channels.v2.ChannelBasicViewModel, optional, nullable) — List of channels - `next` (string, optional, nullable) — Next page cursor - `prev` (string, optional, nullable) — Previous page cursor - `total_records` (integer, optional) — Total records on current page ## Errors ### 400 Bad Request Error Bad Request - `map from string to list of string` ### 401 Unauthorized Error Unauthorized - `any` ### 403 Forbidden Error Forbidden - `any` ## Types ### Channels.v2.SearchFilters Search filters - `channel_ids` (list of integer, optional, nullable) — Channel Ids to search for - `channel_names` (list of string, optional, nullable) — Channel Names to search for ### Channels.v2.ChannelBasicViewModel Channel basic information - `id` (integer, optional) - `name` (string, optional, nullable) ## Examples **Request** ```json { "cursor": "string", "records_per_page": 0, "search_filters": { "channel_ids": [ 0 ], "channel_names": [ "string" ] } } ``` **Response** ```json { "items": [ { "id": 0, "name": "string" } ], "next": "string", "prev": "string", "total_records": 0 } ``` **SDK Code** ```python default import requests url = "https://api.shipbob.com/Experimental/channel:search" payload = { "cursor": "string", "records_per_page": 0, "search_filters": { "channel_ids": [0], "channel_names": ["string"] } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://api.shipbob.com/Experimental/channel:search'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"cursor":"string","records_per_page":0,"search_filters":{"channel_ids":[0],"channel_names":["string"]}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.shipbob.com/Experimental/channel:search" payload := strings.NewReader("{\n \"cursor\": \"string\",\n \"records_per_page\": 0,\n \"search_filters\": {\n \"channel_ids\": [\n 0\n ],\n \"channel_names\": [\n \"string\"\n ]\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://api.shipbob.com/Experimental/channel:search") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"cursor\": \"string\",\n \"records_per_page\": 0,\n \"search_filters\": {\n \"channel_ids\": [\n 0\n ],\n \"channel_names\": [\n \"string\"\n ]\n }\n}" response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.shipbob.com/Experimental/channel:search") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"cursor\": \"string\",\n \"records_per_page\": 0,\n \"search_filters\": {\n \"channel_ids\": [\n 0\n ],\n \"channel_names\": [\n \"string\"\n ]\n }\n}") .asString(); ``` ```php default request('POST', 'https://api.shipbob.com/Experimental/channel:search', [ 'body' => '{ "cursor": "string", "records_per_page": 0, "search_filters": { "channel_ids": [ 0 ], "channel_names": [ "string" ] } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://api.shipbob.com/Experimental/channel:search"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"cursor\": \"string\",\n \"records_per_page\": 0,\n \"search_filters\": {\n \"channel_ids\": [\n 0\n ],\n \"channel_names\": [\n \"string\"\n ]\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "cursor": "string", "records_per_page": 0, "search_filters": [ "channel_ids": [0], "channel_names": ["string"] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/Experimental/channel:search")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```